package com.community.huiju.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.dao.TpShopMapper;
import com.community.huiju.model.TpShop;
import com.community.huiju.service.ITpShopService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 小区商铺表 服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
@Service
public class TpShopServiceImpl extends ServiceImpl<TpShopMapper, TpShop> implements ITpShopService {

	@Autowired
	private TpShopMapper shopMapper;
	
	/**
	 * 根据条件查询商铺列表
	 *
	 * @param id
	 * @param shopName
	 * @param shopTypeId
	 * @param shopStatus
	 * @param userElement
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	@Override
	public ResponseBean getShopList(Integer id, String shopName, Integer shopTypeId, String shopStatus, UserElement userElement, Integer pageNum, Integer pageSize) {
		ResponseBean responseBean = new ResponseBean();
		Page page = new Page(pageNum,pageSize);
		TpShop tpShop = new TpShop();
		tpShop.setId(id);
		tpShop.setShopName(shopName);
		tpShop.setShopTypeId(shopTypeId);
		tpShop.setShopStatus(shopStatus);
		tpShop.setCommunityId(userElement.getCommunityId());
		List<TpShop> list = shopMapper.getShopList(page,tpShop);
		Map<String,Object> map = new HashMap<>();
		map.put("list", list);
		map.put("total", page.getTotal());
		responseBean.addSuccess(map);
		return responseBean;
	}
}
